-- Stored procedure
-- =============================================
-- Author:		paolo giovanetti
-- Create date: 23 gennaio 2009
-- Description:	- rimossa la transazione inutile
--				- aggiunta la storicizzazione delle elaborazioni e del global_error
--				- la storicizzazione di GESTIONE_ZIP_FTP prevede la sua pulizia sul MART !!
-- =============================================
CREATE PROCEDURE [C6Mart].[SRV_STORICIZZAZIONE_OLD]
	@NomeTabella VARCHAR(50) = NULL
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    -- Insert statements for procedure here
	DECLARE @ID_ELAB INT			-- Elaborazione da storicizzare
	DECLARE @MIN_ID_ELAB AS INT		-- Elaborazione vecchia da eliminare dallo storico
	DECLARE @TempoStoricoC6 AS INT	-- Numero di giorni di vita dello storico espresso in giorni
	SET @TempoStoricoC6 = dbo.getparametro('TempoStoricoC6') 
	SELECT @MIN_ID_ELAB = ISNULL(MAX(ID_ELAB),0)
	FROM C6MART.ELABORAZIONI
	WHERE DATEDIFF(DAY,DATA_OPERAZIONE,GETDATE()) > @TempoStoricoC6
	SET @ID_ELAB = C6MART.GETIDELAB()
-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX INIZIO TABELLE XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	--XXXXXXXXXXXXXXXXXXXXXXXX ALBERO_PRODOTTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ALBERO_PRODOTTI')
	BEGIN
		DELETE FROM C6Storico.ALBERO_PRODOTTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ALBERO_PRODOTTI
		(DESCRIZIONE_ORIGINALE, ALBERO_GERARCHIA_1, ALBERO_GERARCHIA_2, ALBERO_GERARCHIA_3, ID_ELAB)
		SELECT 
		 DESCRIZIONE_ORIGINALE, ALBERO_GERARCHIA_1, ALBERO_GERARCHIA_2, ALBERO_GERARCHIA_3, ID_ELAB
		FROM C6Mart.ALBERO_PRODOTTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CC XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CC')
	BEGIN
		DELETE FROM C6Storico.ANAG_CC WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CC
		(RETE, COD_FISCALE, INTERMEDIARIO, COINTEST, COD_CC, FASCIA_CPP, SALDO, DATA_APERTURA, DATA_CHIUSURA, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, INTERMEDIARIO, COINTEST, COD_CC, FASCIA_CPP, SALDO, DATA_APERTURA, DATA_CHIUSURA, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_CC WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CC_TERZI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CC_TERZI')
	BEGIN
		DELETE FROM C6Storico.ANAG_CC_TERZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CC_TERZI
		(RETE, COD_FISCALE, INTERMEDIARIO, COINTEST, COD_CC, FASCIA_CPP, SALDO, DATA_APERTURA, DATA_CHIUSURA, ID_ELAB)
		SELECT 
		 RETE, COD_FISCALE, INTERMEDIARIO, COINTEST, COD_CC, FASCIA_CPP, SALDO, DATA_APERTURA, DATA_CHIUSURA, ID_ELAB
		FROM C6Mart.ANAG_CC_TERZI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CLIENTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CLIENTI')
	BEGIN
		DELETE FROM C6Storico.ANAG_CLIENTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CLIENTI
		(RETE, COD_FISCALE, NOME, COGNOME, DATA_NASCITA, STATO_CIVILE, NUM_COMPONENTI, NUM_FIGLI, ETA, PARTITA_IVA, CITTADINANZA, PERSONA_FIS_GIUR, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, PRESSO, TEL_RECAPITO, TEL_CELL, E_MAIL, DATA_INIZIO, DATA_FINE, STATO, RAG_SOC, SESSO, ID_PROMOTORE, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, NOME, COGNOME, DATA_NASCITA, STATO_CIVILE, NUM_COMPONENTI, NUM_FIGLI, ETA, PARTITA_IVA, CITTADINANZA, PERSONA_FIS_GIUR, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, PRESSO, TEL_RECAPITO, TEL_CELL, E_MAIL, DATA_INIZIO, DATA_FINE, STATO, RAG_SOC, SESSO, ID_PROMOTORE, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_CLIENTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CLIENTI_PREV XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CLIENTI_PREV')
	BEGIN
		DELETE FROM C6Storico.ANAG_CLIENTI_PREV WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CLIENTI_PREV
		(RETE, COD_FISCALE, STATO_LAVORATIVO, PROFESSIONE, CAT_PROFESSIONALE, DATA_INIZIO, DATA_FINE, RETRIB_LORDA, PROFESSIONE_SEC, CAT_PROFESSIONALE_SEC, DATA_INIZIO_SEC, DATA_FINE_SEC, RETRIB_LORDA_SEC, PROFESSIONE_PREC, CAT_PROFESSIONALE_PREC, DATA_INIZIO_PREC, DATA_FINE_PREC, RETRIB_LORDA_PREC, RICONGIUNZIONE, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, STATO_LAVORATIVO, PROFESSIONE, CAT_PROFESSIONALE, DATA_INIZIO, DATA_FINE, RETRIB_LORDA, PROFESSIONE_SEC, CAT_PROFESSIONALE_SEC, DATA_INIZIO_SEC, DATA_FINE_SEC, RETRIB_LORDA_SEC, PROFESSIONE_PREC, CAT_PROFESSIONALE_PREC, DATA_INIZIO_PREC, DATA_FINE_PREC, RETRIB_LORDA_PREC, RICONGIUNZIONE, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_CLIENTI_PREV WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CONTRATTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CONTRATTI')
	BEGIN
		DELETE FROM C6Storico.ANAG_CONTRATTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CONTRATTI
		(ID_CONTRATTO, RETE, COD_FISCALE, COD_PRODOTTO, INTERMEDIARIO, DATA_SOTTOSCRIZIONE, DATA_PERF, DATA_CHIUSURA, STATO, COD_SOTTOPRODOTTO, TIPO_PRODOTTO, COD_INTERNO, COD_MANDATO, COD_CC, RUBRICATO, CUSTODIA_GAR, ID_ELAB, TIPO_ELAB)
		SELECT 
		 ID_CONTRATTO, RETE, COD_FISCALE, COD_PRODOTTO, INTERMEDIARIO, DATA_SOTTOSCRIZIONE, DATA_PERF, DATA_CHIUSURA, STATO, COD_SOTTOPRODOTTO, TIPO_PRODOTTO, COD_INTERNO, COD_MANDATO, COD_CC, RUBRICATO, CUSTODIA_GAR, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_CONTRATTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_CONTRATTI_ASS XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_CONTRATTI_ASS')
	BEGIN
		DELETE FROM C6Storico.ANAG_CONTRATTI_ASS WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_CONTRATTI_ASS
		(RETE, COD_FISCALE, NUM_POLIZZA, ID_CONTRATTO, TIPO_PRODOTTO, PREMIO, IMPORTO_RATA, FREQ_RATA, IMPORTO_ASSICURATO, DURATA_POLIZZA, ALIQUOTA, COD_SOTTOPRODOTTO, COD_INTERNO, DATA_APERTURA, DATA_CHIUSURA, INTERMEDIARIO, STATO, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, NUM_POLIZZA, ID_CONTRATTO, TIPO_PRODOTTO, PREMIO, IMPORTO_RATA, FREQ_RATA, IMPORTO_ASSICURATO, DURATA_POLIZZA, ALIQUOTA, COD_SOTTOPRODOTTO, COD_INTERNO, DATA_APERTURA, DATA_CHIUSURA, INTERMEDIARIO, STATO, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_CONTRATTI_ASS WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_EMITTENTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_EMITTENTI')
	BEGIN
		DELETE FROM C6Storico.ANAG_EMITTENTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_EMITTENTI
		(ID_EMITTENTE, DESCRIZIONE, NOTE, ID_ELAB)
		SELECT 
		 ID_EMITTENTE, DESCRIZIONE, NOTE, ID_ELAB
		FROM C6Mart.ANAG_EMITTENTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_PRODOTTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_PRODOTTI')
	BEGIN
		DELETE FROM C6Storico.ANAG_PRODOTTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_PRODOTTI
		(COD_PRODOTTO, COD_ISIN, PAESE, ID_AREA, CAT_PRODOTTO, TIPO_PRODOTTO, DESCR_PRODOTTO, DIV_QUOTAZIONE, DIV_REGOLAMENTO, ID_EMITTENTE, MERCATO_CONTRATT, COD_MAF, RATING, COD_ADEGUATEZZA, COD_SOTTOPRODOTTO, COD_INTERNO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 COD_PRODOTTO, COD_ISIN, PAESE, ID_AREA, CAT_PRODOTTO, TIPO_PRODOTTO, DESCR_PRODOTTO, DIV_QUOTAZIONE, DIV_REGOLAMENTO, ID_EMITTENTE, MERCATO_CONTRATT, COD_MAF, RATING, COD_ADEGUATEZZA, COD_SOTTOPRODOTTO, COD_INTERNO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_PRODOTTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_PRODOTTI_TERZI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_PRODOTTI_TERZI')
	BEGIN
		DELETE FROM C6Storico.ANAG_PRODOTTI_TERZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_PRODOTTI_TERZI
		(COD_PRODOTTO, COD_PRODOTTO_TERZI, NOME_PRODOTTO, ALBERO_PRODOTTI, COD_ISIN, DESCR_PRODOTTO, DIV_QUOTAZIONE, INTERMEDIARIO, DIV_REGOLAMENTO, ID_EMITTENTE, MERCATO_CONTRATT, PAESE, RATING, ID_ELAB, TIPO_ELAB)
		SELECT 
		 COD_PRODOTTO, COD_PRODOTTO_TERZI, NOME_PRODOTTO, ALBERO_PRODOTTI, COD_ISIN, DESCR_PRODOTTO, DIV_QUOTAZIONE, INTERMEDIARIO, DIV_REGOLAMENTO, ID_EMITTENTE, MERCATO_CONTRATT, PAESE, RATING, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_PRODOTTI_TERZI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ANAG_PROMOTORI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ANAG_PROMOTORI')
	BEGIN
		DELETE FROM C6Storico.ANAG_PROMOTORI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ANAG_PROMOTORI
		(RETE, ID_PROMOTORE, LIVELLO, COD_FISCALE, PARTITA_IVA, COGNOME, NOME, RAG_SOC, DATA_INIZIO, DATA_FINE, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, TEL_RECAPITO, TEL_CELL, E_MAIL, COD_ABI, COD_CAB, COD_CIN, COD_CC, STATO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, ID_PROMOTORE, LIVELLO, COD_FISCALE, PARTITA_IVA, COGNOME, NOME, RAG_SOC, DATA_INIZIO, DATA_FINE, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, TEL_RECAPITO, TEL_CELL, E_MAIL, COD_ABI, COD_CAB, COD_CIN, COD_CC, STATO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ANAG_PROMOTORI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX AREA_BISOGNO XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'AREA_BISOGNO')
	BEGIN
		DELETE FROM C6Storico.AREA_BISOGNO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.AREA_BISOGNO
		(ID_AREA, NOME_AREA, ORDINAMENTO, ID_ELAB)
		SELECT 
		 ID_AREA, NOME_AREA, ORDINAMENTO, ID_ELAB
		FROM C6Mart.AREA_BISOGNO WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ASSET_PERC XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ASSET_PERC')
	BEGIN
		DELETE FROM C6Storico.ASSET_PERC WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ASSET_PERC
		(COD_PRODOTTO, ID_ASSETCLASS, COD_ISIN, COD_MAF, COD_INTERNO, COD_SOTTOPRODOTTO, LIVELLO, PERC, ID_ELAB, TIPO_ELAB)
		SELECT 
		 COD_PRODOTTO, ID_ASSETCLASS, COD_ISIN, COD_MAF, COD_INTERNO, COD_SOTTOPRODOTTO, LIVELLO, PERC, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ASSET_PERC WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ASSET_PERC_TERZI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ASSET_PERC_TERZI')
	BEGIN
		DELETE FROM C6Storico.ASSET_PERC_TERZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ASSET_PERC_TERZI
		(COD_PRODOTTO_TERZI, ID_ASSETCLASS, LIVELLO, NOME_PRODOTTO, TIPO_PRODOTTO, PERC, ID_ELAB, TIPO_ELAB)
		SELECT 
		 COD_PRODOTTO_TERZI, ID_ASSETCLASS, LIVELLO, NOME_PRODOTTO, TIPO_PRODOTTO, PERC, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ASSET_PERC_TERZI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ASSETCLASS XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ASSETCLASS')
	BEGIN
		DELETE FROM C6Storico.ASSETCLASS WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ASSETCLASS
		(ID_ASSETCLASS, DESCRIZIONE, LIVELLO, ORDINAMENTO, ID_ELAB)
		SELECT 
		 ID_ASSETCLASS, DESCRIZIONE, LIVELLO, ORDINAMENTO, ID_ELAB
		FROM C6Mart.ASSETCLASS WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ASSETCLASS_TERZI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ASSETCLASS_TERZI')
	BEGIN
		DELETE FROM C6Storico.ASSETCLASS_TERZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ASSETCLASS_TERZI
		(ID_ASSETCLASS, COD_ISIN, COD_MAF, COD_ADEGUATEZZA, ID_ELAB, TIPO_ELAB)
		SELECT 
		 ID_ASSETCLASS, COD_ISIN, COD_MAF, COD_ADEGUATEZZA, ID_ELAB, TIPO_ELAB
		FROM C6Mart.ASSETCLASS_TERZI WHERE ID_ELAB = @ID_ELAB
	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX CATEGORIE_PRODOTTO XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'CATEGORIE_PRODOTTO')
--	BEGIN
--		DELETE FROM C6Storico.CATEGORIE_PRODOTTO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.CATEGORIE_PRODOTTO
--		(CAT_PRODOTTO, DESCRIZIONE, ORDINAMENTO)
--		SELECT 
--		 CAT_PRODOTTO, DESCRIZIONE, ORDINAMENTO
--		FROM C6Mart.CATEGORIE_PRODOTTO WHERE ID_ELAB = @ID_ELAB
--	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX CODICI_PROMOTORI_FITTIZI XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'CODICI_PROMOTORI_FITTIZI')
--	BEGIN
--		DELETE FROM C6Storico.CODICI_PROMOTORI_FITTIZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.CODICI_PROMOTORI_FITTIZI
--		(Rete, CodiceDA, CodiceA)
--		SELECT 
--		 Rete, CodiceDA, CodiceA
--		FROM C6Mart.CODICI_PROMOTORI_FITTIZI WHERE ID_ELAB = @ID_ELAB
--	END
	--XXXXXXXXXXXXXXXXXXXXXXXX CODIFICA_PIRAMIDI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'CODIFICA_PIRAMIDI')
	BEGIN
		DELETE FROM C6Storico.CODIFICA_PIRAMIDI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.CODIFICA_PIRAMIDI
		(ID_PIRAMIDE, DESCRIZIONE, NOTE, ID_ELAB)
		SELECT 
		 ID_PIRAMIDE, DESCRIZIONE, NOTE, ID_ELAB
		FROM C6Mart.CODIFICA_PIRAMIDI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX CODIFICA_RISCHIO XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'CODIFICA_RISCHIO')
	BEGIN
		DELETE FROM C6Storico.CODIFICA_RISCHIO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.CODIFICA_RISCHIO
		(PROFILO, DESCRIZIONE, MIN_VAR, MAX_VAR, ID_ELAB)
		SELECT 
		 PROFILO, DESCRIZIONE, MIN_VAR, MAX_VAR, ID_ELAB
		FROM C6Mart.CODIFICA_RISCHIO WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX COLORI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'COLORI')
	BEGIN
		DELETE FROM C6Storico.COLORI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.COLORI
		(Tipo, Codice, Ordinamento, [Descrizione breve], [Descrizione estesa], HexColor, Red, Green, Blue, ID_ELAB)
		SELECT 
		 Tipo, Codice, Ordinamento, [Descrizione breve], [Descrizione estesa], HexColor, Red, Green, Blue, ID_ELAB
		FROM C6Mart.COLORI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX CONTRATTOSEI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'CONTRATTOSEI')
	BEGIN
		DELETE FROM C6Storico.CONTRATTOSEI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.CONTRATTOSEI
		(Rete, Cod_Fiscale, Data_Sott, CodiceContratto, Cod_Agente, Data_Perf_Base, Data_Perf, Fascia_CPP, Email, Indirizzo, CAP, Citta, Prov, Nazione, Presso, Data_Inizio, Freq_Diagnosi, Freq_Monitor, Freq_DiagnosiPrec, Freq_MonitorPrec, Data_InizioConsInv, Data_InizioBase, Data_FineBase, Data_InizioAvanzato, Data_FineAvanzato, ProgressivoInvio, GenerazioneReport, InvioBenvenuto, DataUltimoInvio, ClienteMigrato, RisorseNA, NumSolleciti, Data_UltimoSollecito, NumRevoche, Data_UltimaRevoca, Note, ID_ELAB)
		SELECT 
		 Rete, Cod_Fiscale, Data_Sott, CodiceContratto, Cod_Agente, Data_Perf_Base, Data_Perf, Fascia_CPP, Email, Indirizzo, CAP, Citta, Prov, Nazione, Presso, Data_Inizio, Freq_Diagnosi, Freq_Monitor, Freq_DiagnosiPrec, Freq_MonitorPrec, Data_InizioConsInv, Data_InizioBase, Data_FineBase, Data_InizioAvanzato, Data_FineAvanzato, ProgressivoInvio, GenerazioneReport, InvioBenvenuto, DataUltimoInvio, ClienteMigrato, RisorseNA, NumSolleciti, Data_UltimoSollecito, NumRevoche, Data_UltimaRevoca, Note, @ID_ELAB
		FROM C6Mart.CONTRATTOSEI --WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX DATI_REPORT XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'DATI_REPORT')
	BEGIN
		DELETE FROM C6Storico.DATI_REPORT WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.DATI_REPORT
		(RETE, COD_FISCALE, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, FLAG_REPORT, REPORT_DIAGN, REPORT_MONIT, DATA_REPORT, REPORT_FREQ, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, INDIRIZZO, LOCALITA, PROVINCIA, CAP, NAZIONE, FLAG_REPORT, REPORT_DIAGN, REPORT_MONIT, DATA_REPORT, REPORT_FREQ, ID_ELAB, TIPO_ELAB
		FROM C6Mart.DATI_REPORT WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX DETTAGLIO_ASUL XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'DETTAGLIO_ASUL')
	BEGIN
		DELETE FROM C6Storico.DETTAGLIO_ASUL WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.DETTAGLIO_ASUL
		(RETE, COD_FISCALE, COD_PRODOTTO, ID_CONTRATTO, COD_SOTTOPRODOTTO, COD_INTERNO, CTV, DATA_RIF, COD_ISIN_FITTIZIO, COD_ISIN_SOTT, COD_MAF_SOTT, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, COD_PRODOTTO, ID_CONTRATTO, COD_SOTTOPRODOTTO, COD_INTERNO, CTV, DATA_RIF, COD_ISIN_FITTIZIO, COD_ISIN_SOTT, COD_MAF_SOTT, ID_ELAB, TIPO_ELAB
		FROM C6Mart.DETTAGLIO_ASUL WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ELABORAZIONI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ELABORAZIONI')
	BEGIN
		DELETE FROM C6Storico.ELABORAZIONI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ELABORAZIONI
		(ID_ELAB, TIPO_ELAB, DATA_OPERAZIONE)
		SELECT 
		 ID_ELAB, TIPO_ELAB, DATA_OPERAZIONE
		FROM C6Mart.ELABORAZIONI WHERE ID_ELAB = @ID_ELAB
	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX EMAIL_ATTACHMENT XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'EMAIL_ATTACHMENT')
--	BEGIN
--		DELETE FROM C6Storico.EMAIL_ATTACHMENT WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.EMAIL_ATTACHMENT
--		(Attachment_Id, Email_Id, Attachment)
--		SELECT 
--		 Attachment_Id, Email_Id, Attachment
--		FROM C6Mart.EMAIL_ATTACHMENT WHERE ID_ELAB = @ID_ELAB
--	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX EMAIL_PB XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'EMAIL_PB')
--	BEGIN
--		DELETE FROM C6Storico.EMAIL_PB WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.EMAIL_PB
--		(RETE, CODICE, PREFISSO, FIRMA, EMAIL)
--		SELECT 
--		 RETE, CODICE, PREFISSO, FIRMA, EMAIL
--		FROM C6Mart.EMAIL_PB WHERE ID_ELAB = @ID_ELAB
--	END
	--XXXXXXXXXXXXXXXXXXXXXXXX ESITI_CARICAMENTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'ESITI_CARICAMENTI')
	BEGIN
		DELETE FROM C6Storico.ESITI_CARICAMENTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.ESITI_CARICAMENTI
		(PROGR, DATA_INIZIO, DATA_FINE, ESITO, NOTE, ID_ELAB)
		SELECT 
		 PROGR, DATA_INIZIO, DATA_FINE, ESITO, NOTE, ID_ELAB
		FROM C6Mart.ESITI_CARICAMENTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX GER_PROMOTORI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'GER_PROMOTORI')
	BEGIN
		DELETE FROM C6Storico.GER_PROMOTORI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.GER_PROMOTORI
		(RETE, ID_PROMOTORE, LIVELLO, ID_MANAGER, SUBORDINATI, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, ID_PROMOTORE, LIVELLO, ID_MANAGER, SUBORDINATI, ID_ELAB, TIPO_ELAB
		FROM C6Mart.GER_PROMOTORI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX GESTIONE_EMAIL XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'GESTIONE_EMAIL')
	BEGIN
		DELETE FROM C6Storico.GESTIONE_EMAIL WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.GESTIONE_EMAIL
		(Email_Id, Rete, Cod_Fiscale, Tipo, Data_Generazione, Inviata, Data_Invio, Data_Comunicazione_Host, ID_ELAB)
		SELECT 
		 Email_Id, Rete, Cod_Fiscale, Tipo, Data_Generazione, Inviata, Data_Invio, Data_Comunicazione_Host, ID_ELAB
		FROM C6Mart.GESTIONE_EMAIL WHERE ID_ELAB = @ID_ELAB
	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX GESTIONE_PDF_FTP XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'GESTIONE_PDF_FTP')
--	BEGIN
--		DELETE FROM C6Storico.GESTIONE_PDF_FTP WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.GESTIONE_PDF_FTP
--		(Rete, CodiceFiscale, IdReport, TipoReport, DataGenerazione, DataInvio, DataInvioRistampa, FlagInvio, NomeFile, numeroPagine, ID_ELAB, id_Fk_zip)
--		SELECT 
--		 Rete, CodiceFiscale, IdReport, TipoReport, DataGenerazione, DataInvio, DataInvioRistampa, FlagInvio, NomeFile, numeroPagine, ID_ELAB, id_Fk_zip
--		FROM C6Mart.GESTIONE_PDF_FTP WHERE ID_ELAB = @ID_ELAB
--	END
	--XXXXXXXXXXXXXXXXXXXXXXXX GESTIONE_ZIP_FTP XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'GESTIONE_ZIP_FTP')
	BEGIN
		DELETE FROM C6Storico.GESTIONE_ZIP_FTP WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.GESTIONE_ZIP_FTP
		(id, nomefile, dataInvio, flagInvio, nomeCartella, ID_ELAB)
		SELECT 
		 id, nomefile, dataInvio, flagInvio, nomeCartella, ID_ELAB
		FROM C6Mart.GESTIONE_ZIP_FTP WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX MIFID XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'MIFID')
	BEGIN
		DELETE FROM C6Storico.MIFID WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.MIFID
		(RETE, COD_FISCALE, COMPILAZIONE, PROFILO_ASS, PROFILO_CALC, DATA_INIZIO_VAL, DATA_FINE_VAL, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, COMPILAZIONE, PROFILO_ASS, PROFILO_CALC, DATA_INIZIO_VAL, DATA_FINE_VAL, ID_ELAB, TIPO_ELAB
		FROM C6Mart.MIFID WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PARTITE_VIAGGIANTI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PARTITE_VIAGGIANTI')
	BEGIN
		DELETE FROM C6Storico.PARTITE_VIAGGIANTI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PARTITE_VIAGGIANTI
		(RETE, COD_FISCALE, IMPORTO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, IMPORTO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PARTITE_VIAGGIANTI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PATRIMONIO_AGG XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PATRIMONIO_AGG')
	BEGIN
		DELETE FROM C6Storico.PATRIMONIO_AGG WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PATRIMONIO_AGG
		(RETE, COD_FISCALE, COD_PRODOTTO, LIQUIDATO, INVESTITO, ID_AREA, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, COD_PRODOTTO, LIQUIDATO, INVESTITO, ID_AREA, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PATRIMONIO_AGG WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PATRIMONIO_ALTRO XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PATRIMONIO_ALTRO')
	BEGIN
		DELETE FROM C6Storico.PATRIMONIO_ALTRO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PATRIMONIO_ALTRO
		(RETE, COD_FISCALE, QUANTITA, DESCRIZIONE, CTV, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, QUANTITA, DESCRIZIONE, CTV, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PATRIMONIO_ALTRO WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PATRIMONIO_BF XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PATRIMONIO_BF')
	BEGIN
		DELETE FROM C6Storico.PATRIMONIO_BF WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PATRIMONIO_BF
		(RETE, COD_FISCALE, POSITION_ID, COD_PRODOTTO, ID_CONTRATTO, DATA_SOTTOSCRIZIONE, COD_STATO, NUM_POLIZZA, COD_MAF, COD_INTERNO, COD_SOTTOPRODOTTO, TIPO_PRODOTTO, NOME_PROGETTO, ID_AREA, DATA_OPERAZIONE, DATA_VALUTA, DATA_REGOLAMENTO, QUANTITA, PREZZO, CTV, CTV_NOMINALE, VERSATO_NETTO, PARTVIA_DISINV, DATA_PARTVIA_DISINV, PARTVIA_INV, REND_SOTTOSCRIZIONE, REND_TRIMESTRE, REND_ANNO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, POSITION_ID, COD_PRODOTTO, ID_CONTRATTO, DATA_SOTTOSCRIZIONE, COD_STATO, NUM_POLIZZA, COD_MAF, COD_INTERNO, COD_SOTTOPRODOTTO, TIPO_PRODOTTO, NOME_PROGETTO, ID_AREA, DATA_OPERAZIONE, DATA_VALUTA, DATA_REGOLAMENTO, QUANTITA, PREZZO, CTV, CTV_NOMINALE, VERSATO_NETTO, PARTVIA_DISINV, DATA_PARTVIA_DISINV, PARTVIA_INV, REND_SOTTOSCRIZIONE, REND_TRIMESTRE, REND_ANNO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PATRIMONIO_BF WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PATRIMONIO_IMMOBILIARE XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PATRIMONIO_IMMOBILIARE')
	BEGIN
		DELETE FROM C6Storico.PATRIMONIO_IMMOBILIARE WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PATRIMONIO_IMMOBILIARE
		(RETE, COD_FISCALE, DESCRIZIONE, TIPOLOGIA, LOCALITA, PROVINCIA, CAP, NAZIONE, VALORE_STIMATO, AFFITTO, NOTE, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, DESCRIZIONE, TIPOLOGIA, LOCALITA, PROVINCIA, CAP, NAZIONE, VALORE_STIMATO, AFFITTO, NOTE, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PATRIMONIO_IMMOBILIARE WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PATRIMONIO_TERZI XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PATRIMONIO_TERZI')
	BEGIN
		DELETE FROM C6Storico.PATRIMONIO_TERZI WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PATRIMONIO_TERZI
		(RETE, COD_FISCALE, NUM_POLIZZA, TIPO_POLIZZA, TIPO_PRODOTTO, TIPO_PRODOTTO2, COD_PRODOTTO, COD_PRODOTTO_TERZI, INTERMEDIARIO, DATA_SOTTOSCRIZIONE, DATA_SCADENZA, FREQ_RATA, DURATA_POLIZZA, PREMIO, ALIQUOTA, DATA_SOTT_FP, DATA_REGOLAMENTO, QUANTITA, PREZZO, CTV, VERSATO_NETTO, DIV_REGOLAMENTO, CAMBIO, DESCR_GRUPPO_PRODOTTO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, NUM_POLIZZA, TIPO_POLIZZA, TIPO_PRODOTTO, TIPO_PRODOTTO2, COD_PRODOTTO, COD_PRODOTTO_TERZI, INTERMEDIARIO, DATA_SOTTOSCRIZIONE, DATA_SCADENZA, FREQ_RATA, DURATA_POLIZZA, PREMIO, ALIQUOTA, DATA_SOTT_FP, DATA_REGOLAMENTO, QUANTITA, PREZZO, CTV, VERSATO_NETTO, DIV_REGOLAMENTO, CAMBIO, DESCR_GRUPPO_PRODOTTO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PATRIMONIO_TERZI WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PIRAMIDE_MOD XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PIRAMIDE_MOD')
	BEGIN
		DELETE FROM C6Storico.PIRAMIDE_MOD WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PIRAMIDE_MOD
		(RETE, COD_FISCALE, ID_AREA, NOME_PROGETTO, TIPO_PROGETTO, PERC_AREA, CTV_PROGETTO, CTV_AREA, ORIZZ_TEMP, CTV_TOTALE, STATO_CONSULENZA, DATA_STATO_CONS, DATA_MIGR_CONS, ID_CONTRATTO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, ID_AREA, NOME_PROGETTO, TIPO_PROGETTO, PERC_AREA, CTV_PROGETTO, CTV_AREA, ORIZZ_TEMP, CTV_TOTALE, STATO_CONSULENZA, DATA_STATO_CONS, DATA_MIGR_CONS, ID_CONTRATTO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PIRAMIDE_MOD WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PIRAMIDE_VERT XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PIRAMIDE_VERT')
	BEGIN
		DELETE FROM C6Storico.PIRAMIDE_VERT WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PIRAMIDE_VERT
		(RETE, COD_FISCALE, ID_AREA, CTV_AREA, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, ID_AREA, CTV_AREA, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PIRAMIDE_VERT WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX PREVIDENZIALE XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'PREVIDENZIALE')
	BEGIN
		DELETE FROM C6Storico.PREVIDENZIALE WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.PREVIDENZIALE
		(RETE, COD_FISCALE, ANNO_PENSIONE, ETA_PENSIONE, TOT_CONSUMI_ATTESI, TOT_REDDITO_ANNUO, REDDITO_CONSUMI_ESS, PENSIONE_ATTESA_, RENDITA_PREV_COMPL, RENDITA_ASS, REDDITO_CONSUMI_SEC, RENDITA_ASS_TRAD, RENDITA_ASS_UNIT, RENDITA_IMMOB, ALTRE_RENDITE, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, ANNO_PENSIONE, ETA_PENSIONE, TOT_CONSUMI_ATTESI, TOT_REDDITO_ANNUO, REDDITO_CONSUMI_ESS, PENSIONE_ATTESA_, RENDITA_PREV_COMPL, RENDITA_ASS, REDDITO_CONSUMI_SEC, RENDITA_ASS_TRAD, RENDITA_ASS_UNIT, RENDITA_IMMOB, ALTRE_RENDITE, DIV_RIFERIMENTO, CAMBIO, ID_ELAB, TIPO_ELAB
		FROM C6Mart.PREVIDENZIALE WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX RISCHIO_AGGREGATO XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'RISCHIO_AGGREGATO')
	BEGIN
		DELETE FROM C6Storico.RISCHIO_AGGREGATO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.RISCHIO_AGGREGATO
		(RETE, COD_FISCALE, COD_AGGREG, VAR_ASSOLUTO_PTF, VAR_PERC_PTF, CVAR_ASSOLUTO_PTF, CVAR_PERC_PTF, MCVAR, MCVARP, BENEFICIO, COPERTURA, CTV_AGGREG, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, COD_AGGREG, VAR_ASSOLUTO_PTF, VAR_PERC_PTF, CVAR_ASSOLUTO_PTF, CVAR_PERC_PTF, MCVAR, MCVARP, BENEFICIO, COPERTURA, CTV_AGGREG, ID_ELAB, TIPO_ELAB
		FROM C6Mart.RISCHIO_AGGREGATO WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX RISCHIO_DETTAGLIO XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'RISCHIO_DETTAGLIO')
	BEGIN
		DELETE FROM C6Storico.RISCHIO_DETTAGLIO WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.RISCHIO_DETTAGLIO
		(RETE, COD_FISCALE, COD_AGGREG, CHIAVE_PRODOTTO, VAR_ASSOLUTO_PTF, VAR_PERC_PTF, CVAR_ASSOLUTO_PTF, CVAR_PERC_PTF, MCVAR, MCVARP, TIPO_COPERTURA, CTV_AGGREG, MERCATO_CONTRATT, DIV_CONTRATT, ID_ELAB, TIPO_ELAB)
		SELECT 
		 RETE, COD_FISCALE, COD_AGGREG, CHIAVE_PRODOTTO, VAR_ASSOLUTO_PTF, VAR_PERC_PTF, CVAR_ASSOLUTO_PTF, CVAR_PERC_PTF, MCVAR, MCVARP, TIPO_COPERTURA, CTV_AGGREG, MERCATO_CONTRATT, DIV_CONTRATT, ID_ELAB, TIPO_ELAB
		FROM C6Mart.RISCHIO_DETTAGLIO WHERE ID_ELAB = @ID_ELAB
	END
	--XXXXXXXXXXXXXXXXXXXXXXXX STRUTTURA_RETE XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'STRUTTURA_RETE')
	BEGIN
		DELETE FROM C6Storico.STRUTTURA_RETE WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.STRUTTURA_RETE
		(Rete, PB, CognomeNomePB, SPV, CognomeNomeSPV, RM, CognomeNomeRM, DM, CognomeNomeDM, AM, CognomeNomeAM, Livello, ID_ELAB, TIPO_ELAB)
		SELECT 
		 Rete, PB, CognomeNomePB, SPV, CognomeNomeSPV, RM, CognomeNomeRM, DM, CognomeNomeDM, AM, CognomeNomeAM, Livello, ID_ELAB, TIPO_ELAB
		FROM C6Mart.STRUTTURA_RETE WHERE ID_ELAB = @ID_ELAB
	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX TABELLESTORICIZZATE XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'TABELLESTORICIZZATE')
--	BEGIN
--		DELETE FROM C6Storico.TABELLESTORICIZZATE WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.TABELLESTORICIZZATE
--		(Nome)
--		SELECT 
--		 Nome
--		FROM C6Mart.TABELLESTORICIZZATE WHERE ID_ELAB = @ID_ELAB
--	END
	--XXXXXXXXXXXXXXXXXXXXXXXX TESTO_LETTERA_ACCETTAZIONE XXXXXXXXXXXXXXXXXXXXXXXX--
	IF(@NomeTabella IS NULL OR @NomeTabella = 'TESTO_LETTERA_ACCETTAZIONE')
	BEGIN
		DELETE FROM C6Storico.TESTO_LETTERA_ACCETTAZIONE WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
		INSERT INTO C6Storico.TESTO_LETTERA_ACCETTAZIONE
		(ID, TESTO, DESCRIZIONE, ID_ELAB)
		SELECT 
		 ID, TESTO, DESCRIZIONE, ID_ELAB
		FROM C6Mart.TESTO_LETTERA_ACCETTAZIONE WHERE ID_ELAB = @ID_ELAB
	END
--	--XXXXXXXXXXXXXXXXXXXXXXXX TIPO_EMAIL XXXXXXXXXXXXXXXXXXXXXXXX--
--	IF(@NomeTabella IS NULL OR @NomeTabella = 'TIPO_EMAIL')
--	BEGIN
--		DELETE FROM C6Storico.TIPO_EMAIL WHERE ID_ELAB >= @ID_ELAB OR ID_ELAB < @MIN_ID_ELAB
--		INSERT INTO C6Storico.TIPO_EMAIL
--		(Tipo, Descrizione, E_From, E_To, E_Cc, E_Ccn, E_Subject, Testo)
--		SELECT 
--		 Tipo, Descrizione, E_From, E_To, E_Cc, E_Ccn, E_Subject, Testo
--		FROM C6Mart.TIPO_EMAIL WHERE ID_ELAB = @ID_ELAB
--	END
-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX FINE TABELLE XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
END